apiVersion: apps/v1
kind: Deployment
metadata:
  name: ota-cli
spec:
  selector:
    matchLabels:
      app: ota-cli
  replicas: 1
  template:
    metadata:
      labels:
        app: ota-cli
    spec:
      containers:
        - name: ota-cli
          image: bclouser/ota-cli:dev
          imagePullPolicy: Always
          command: ["/bin/sh"]
          tty: true
          stdin: true
          volumeMounts:
          - mountPath: "/root/"
            name: cli-conf
            readOnly: true
      volumes:
        - name: cli-conf
          secret:
            secretName: ota-cli-idp-conf

      dnsPolicy: "ClusterFirst"
